aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/test-qbs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test-qbs.sh')
-rwxr-xr-xscripts/test-qbs.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/test-qbs.sh b/scripts/test-qbs.sh
index 07271c45d..55dc6524e 100755
--- a/scripts/test-qbs.sh
+++ b/scripts/test-qbs.sh
@@ -52,4 +52,8 @@ CPUS=$("$(dirname "$0")"/cpu-count.sh)
export QBS_AUTOTEST_PROFILE=${QBS_AUTOTEST_PROFILE:-qt}
echo "Running Qbs tests (${CPUS} jobs in parallel)."
-find $1 -name "tst_*" | xargs -I{} -n1 -P${CPUS} bash -c 'export LOG=$(mktemp) ; $({} > ${LOG} 2>&1) ; export RESULT=$? ; cat ${LOG} ; exit ${RESULT}'
+find $1 -name "tst_*" \
+ | grep -v tst_blackbox-joblimits \
+ | xargs -I{} -n1 -P${CPUS} bash -c \
+ 'export LOG=$(mktemp) ; $({} > ${LOG} 2>&1) ; export RESULT=$? ; cat ${LOG} ; exit ${RESULT}'
+tst_blackbox-joblimits